/* Problem URL: https://codeforces.com/problemset/problem/2008/E */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

const int oo = INT32_MAX >> 1;
const ll OO = INT64_MAX >> 1;


void pre()
{

}

#define TEST 1

void solve()
{
    int n;
    string a;
    cin >> n >> a;

    if (a.size() & 1) {
        vvvi suf(n + 1, vvi(26, vi(2)));
        for (int i = n - 1; i >= 0; i--) {
            suf[i][a[i] - 'a'][i & 1]++;

            rep(j, 26) {
                suf[i][j][0] += suf[i + 1][j][0];
                suf[i][j][1] += suf[i + 1][j][1];
            }
        }

        int c = n >> 1;

        int ans = oo;

        vvi pref(26, vi(2));
        rep(i, n) {
            int mi0 = oo;
            int mi1 = oo;
            rep(j, 26) {
                rmin(mi0, c - pref[j][0] - suf[i + 1][j][1]);
                rmin(mi1, c - pref[j][1] - suf[i + 1][j][0]);
            }

            rmin(ans, mi0 + mi1);

            pref[a[i] - 'a'][i & 1]++;
        }

        cout << ans + 1 << '\n';
        return;
    }

    vvi c(26, vi(2));
    rep(i, n) {
        c[a[i] - 'a'][i & 1]++;
    }

    int cc = n >> 1;

    int mi0 = oo;
    int mi1 = oo;
    rep(j, 26) {
        rmin(mi0, cc - c[j][0]);
        rmin(mi1, cc - c[j][1]);
    }

    cout << mi0 + mi1 << '\n';
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    pre();

    int t;
    (TEST && cin >> t) || (t = 1);
    while (t--) {
        solve();
    }
}
